import request from '../index'
const prefix = 'resource/file'

export function getFileMethodList(data: any) {
  return request({
    url: `${prefix}/technique/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

export function addFileMethod(data: object) {
  return request({
    url: `${prefix}/technique/add`,
    method: 'post',
    data,
  })
}

export function delFileMethod(data: object) {
  return request({
    url: `${prefix}/technique/delete`,
    method: 'post',
    data,
  })
}

export function updateFileMethod(data: object) {
  return request({
    url: `${prefix}/technique/update`,
    method: 'post',
    data,
  })
}

export function getFileMeterList(data: object) {
  return request({
    url: `${prefix}/meter/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

export function addFileMeter(data: object) {
  return request({
    url: `${prefix}/meter/add`,
    method: 'post',
    data,
  })
}

export function delFileMeter(data: object) {
  return request({
    url: `${prefix}/meter/delete`,
    method: 'post',
    data,
  })
}

export function updateFileMeter(data: object) {
  return request({
    url: `${prefix}/meter/update`,
    method: 'post',
    data,
  })
}
